Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002328Frama-CPlug-in > E-ACSLpublic2017-09-08 13:292017-10-24 17:41
Reportertreinen 
Assigned Tokvorobyov 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platformi386OSlinuxOS Versiondebian sid
Product VersionFrama-C 15 Phosphorus 
Target VersionFrama-C 16 SulfurFixed in Version 
Summary0002328: compilation fails on i386 with gcc-7
Descriptionwe have a compilation failure of frama-c on i386. A complete log of an attempt to compile can be found here:

https://buildd.debian.org/status/fetch.php?pkg=frama-c&arch=i386&ver=20170501%2Bphosphorus%2Bdfsg-1&stamp=1502480362&raw=0 [^]

Please note that the default compiler on debian sid is gcc-7.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006459)
signoles (manager)
2017-09-08 13:37

Thanks for reporting this bug. It is related to the jemalloc library which is not used anymore by E-ACSL. We will check that there is no other issue under debian unstable and gcc-7 before the next release.
(0006462)
yakobowski (manager)
2017-09-15 10:30

I get the impression from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874273 [^] and https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1714514 [^] that you fixed the problem yourself, excellent :-) I will let Julien comment on why this -C was used.
(0006463)
treinen (reporter)
2017-09-15 11:15

In fact it has been solved by Mehdi. BTW, you can see the result of the build attempts of the debian package by our autobuilders on

https://buildd.debian.org/status/package.php?p=frama-c [^]

as you can see, it has successfully build on all release architectures (these are the ones on a white ground)
(0006464)
yakobowski (manager)
2017-09-15 13:31

Great! If you are interested in having a build for all architectures, you can use the configure option --disable-eacsl (for the architectures where the compilation of jemalloc fails).

- Issue History
Date Modified Username Field Change
2017-09-08 13:29 treinen New Issue
2017-09-08 13:29 treinen Status new => assigned
2017-09-08 13:29 treinen Assigned To => signoles
2017-09-08 13:31 signoles Assigned To signoles => kvorobyov
2017-09-08 13:37 signoles Note Added: 0006459
2017-09-08 13:38 signoles Status assigned => acknowledged
2017-09-08 13:39 signoles Target Version => Frama-C 16 Sulfur
2017-09-11 08:49 virgile Note Added: 0006461
2017-09-11 09:11 virgile Note Deleted: 0006461
2017-09-15 10:30 yakobowski Note Added: 0006462
2017-09-15 11:15 treinen Note Added: 0006463
2017-09-15 13:31 yakobowski Note Added: 0006464
2017-10-24 17:41 signoles Status acknowledged => resolved
2017-10-24 17:41 signoles Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker